{
	"type": "origins:multiple",
	"channel_divinity": {
		"type": "origins:active_self",
		"entity_action": {
			"type": "origins:area_of_effect",
			"radius": 8,
			"include_target": true,
			"bientity_condition": {
				"type": "origins:and",
				"conditions": [
					{
						"type": "origins:invert",
						"condition": {
							"type": "origins:attack_target",
							"inverted": true
						}
					},
					{
						"type": "origins:target_condition",
						"condition": {
							"type": "origins:entity_group",
							"group": "undead",
							"inverted": true
						}
					}
				]
			},
			"bientity_action": {
				"type": "origins:target_action",
				"action": {
					"type": "origins:apply_effect",
					"effect": {
						"effect": "minecraft:absorption",
						"duration": 600,
						"show_particles": false,
						"show_icon": false
					}
				}
			}
		},
		"condition": {
			"type": "origins:and",
			"conditions": [
				{
					"type": "origins:resource",
					"resource": "drpg:cleric_channel_divinity_charge",
					"comparison": "==",
					"compare_to": 0
				},
				{
					"type": "origins:resource",
					"resource": "drpg:armor_restriction",
					"comparison": "==",
					"compare_to": 0
				}
			]
		}
	}
}